# eth\_getTransactionCount

#### 1. Parameters

* <mark style="color:blue;">address</mark> string REQUIRED

  The address from which the transaction count to be checked
* <mark style="color:blue;">blockNumber</mark> string REQUIRED

  The block number as a string in hexadecimal format or tags. The supported tag values include earliest for the earliest/genesis block, latest for the latest mined block, pending for the pending state/transactions, safe for the most recent secure block, and finalized for the most recent secure block accepted by more than 2/3 of validators. safe and finalized are only supported on Ethereum, Gnosis, Arbitrum, Arbitrum Nova, and Avalanche C-chain

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"method":"eth_getTransactionCount","params":["0x8D97689C9818892B700e27F316cc3E41e17fBeb9", "latest"],"id":1,"jsonrpc":"2.0"}'

```

2. Returns

   Result- The integer of the number of transactions sent from an address encoded as hexadecimal
